package xmlx

/*
     Portions © International Organization for Standardization 1986
     Permission to copy in any form is granted for use with
     conforming SGML systems and applications as defined in
     ISO 8879, provided this notice is included in all copies.
 */
func entitymap_load(em *map[string]string) {
	// Generic entities
	(*em)["nbsp"] = "&#160;";
	(*em)["iexcl"] = "&#161;";
	(*em)["cent"] = "&#162;";
	(*em)["pound"] = "&#163;";
	(*em)["curren"] = "&#164;";
	(*em)["yen"] = "&#165;";
	(*em)["brvbar"] = "&#166;";
	(*em)["sect"] = "&#167;";
	(*em)["uml"] = "&#168;";
	(*em)["copy"] = "&#169;";
	(*em)["ordf"] = "&#170;";
	(*em)["laquo"] = "&#171;";
	(*em)["not"] = "&#172;";
	(*em)["shy"] = "&#173;";
	(*em)["reg"] = "&#174;";
	(*em)["macr"] = "&#175;";
	(*em)["deg"] = "&#176;";
	(*em)["plusmn"] = "&#177;";
	(*em)["sup2"] = "&#178;";
	(*em)["sup3"] = "&#179;";
	(*em)["acute"] = "&#180;";
	(*em)["micro"] = "&#181;";
	(*em)["para"] = "&#182;";
	(*em)["middot"] = "&#183;";
	(*em)["cedil"] = "&#184;";
	(*em)["sup1"] = "&#185;";
	(*em)["ordm"] = "&#186;";
	(*em)["raquo"] = "&#187;";
	(*em)["frac14"] = "&#188;";
	(*em)["frac12"] = "&#189;";
	(*em)["frac34"] = "&#190;";
	(*em)["iquest"] = "&#191;";
	(*em)["Agrave"] = "&#192;";
	(*em)["Aacute"] = "&#193;";
	(*em)["Acirc"] = "&#194;";
	(*em)["Atilde"] = "&#195;";
	(*em)["Auml"] = "&#196;";
	(*em)["Aring"] = "&#197;";
	(*em)["AElig"] = "&#198;";
	(*em)["Ccedil"] = "&#199;";
	(*em)["Egrave"] = "&#200;";
	(*em)["Eacute"] = "&#201;";
	(*em)["Ecirc"] = "&#202;";
	(*em)["Euml"] = "&#203;";
	(*em)["Igrave"] = "&#204;";
	(*em)["Iacute"] = "&#205;";
	(*em)["Icirc"] = "&#206;";
	(*em)["Iuml"] = "&#207;";
	(*em)["ETH"] = "&#208;";
	(*em)["Ntilde"] = "&#209;";
	(*em)["Ograve"] = "&#210;";
	(*em)["Oacute"] = "&#211;";
	(*em)["Ocirc"] = "&#212;";
	(*em)["Otilde"] = "&#213;";
	(*em)["Ouml"] = "&#214;";
	(*em)["times"] = "&#215;";
	(*em)["Oslash"] = "&#216;";
	(*em)["Ugrave"] = "&#217;";
	(*em)["Uacute"] = "&#218;";
	(*em)["Ucirc"] = "&#219;";
	(*em)["Uuml"] = "&#220;";
	(*em)["Yacute"] = "&#221;";
	(*em)["THORN"] = "&#222;";
	(*em)["szlig"] = "&#223;";
	(*em)["agrave"] = "&#224;";
	(*em)["aacute"] = "&#225;";
	(*em)["acirc"] = "&#226;";
	(*em)["atilde"] = "&#227;";
	(*em)["auml"] = "&#228;";
	(*em)["aring"] = "&#229;";
	(*em)["aelig"] = "&#230;";
	(*em)["ccedil"] = "&#231;";
	(*em)["egrave"] = "&#232;";
	(*em)["eacute"] = "&#233;";
	(*em)["ecirc"] = "&#234;";
	(*em)["euml"] = "&#235;";
	(*em)["igrave"] = "&#236;";
	(*em)["iacute"] = "&#237;";
	(*em)["icirc"] = "&#238;";
	(*em)["iuml"] = "&#239;";
	(*em)["eth"] = "&#240;";
	(*em)["ntilde"] = "&#241;";
	(*em)["ograve"] = "&#242;";
	(*em)["oacute"] = "&#243;";
	(*em)["ocirc"] = "&#244;";
	(*em)["otilde"] = "&#245;";
	(*em)["ouml"] = "&#246;";
	(*em)["divide"] = "&#247;";
	(*em)["oslash"] = "&#248;";
	(*em)["ugrave"] = "&#249;";
	(*em)["uacute"] = "&#250;";
	(*em)["ucirc"] = "&#251;";
	(*em)["uuml"] = "&#252;";
	(*em)["yacute"] = "&#253;";
	(*em)["thorn"] = "&#254;";
	(*em)["yuml"] = "&#255;";

	// Mathematical, Greek and Symbolic characters for HTML
	(*em)["fnof"] = "&#402;";
	(*em)["Alpha"] = "&#913;";
	(*em)["Beta"] = "&#914;";
	(*em)["Gamma"] = "&#915;";
	(*em)["Delta"] = "&#916;";
	(*em)["Epsilon"] = "&#917;";
	(*em)["Zeta"] = "&#918;";
	(*em)["Eta"] = "&#919;";
	(*em)["Theta"] = "&#920;";
	(*em)["Iota"] = "&#921;";
	(*em)["Kappa"] = "&#922;";
	(*em)["Lambda"] = "&#923;";
	(*em)["Mu"] = "&#924;";
	(*em)["Nu"] = "&#925;";
	(*em)["Xi"] = "&#926;";
	(*em)["Omicron"] = "&#927;";
	(*em)["Pi"] = "&#928;";
	(*em)["Rho"] = "&#929;";
	(*em)["Sigma"] = "&#931;";
	(*em)["Tau"] = "&#932;";
	(*em)["Upsilon"] = "&#933;";
	(*em)["Phi"] = "&#934;";
	(*em)["Chi"] = "&#935;";
	(*em)["Psi"] = "&#936;";
	(*em)["Omega"] = "&#937;";
	(*em)["alpha"] = "&#945;";
	(*em)["beta"] = "&#946;";
	(*em)["gamma"] = "&#947;";
	(*em)["delta"] = "&#948;";
	(*em)["epsilon"] = "&#949;";
	(*em)["zeta"] = "&#950;";
	(*em)["eta"] = "&#951;";
	(*em)["theta"] = "&#952;";
	(*em)["iota"] = "&#953;";
	(*em)["kappa"] = "&#954;";
	(*em)["lambda"] = "&#955;";
	(*em)["mu"] = "&#956;";
	(*em)["nu"] = "&#957;";
	(*em)["xi"] = "&#958;";
	(*em)["omicron"] = "&#959;";
	(*em)["pi"] = "&#960;";
	(*em)["rho"] = "&#961;";
	(*em)["sigmaf"] = "&#962;";
	(*em)["sigma"] = "&#963;";
	(*em)["tau"] = "&#964;";
	(*em)["upsilon"] = "&#965;";
	(*em)["phi"] = "&#966;";
	(*em)["chi"] = "&#967;";
	(*em)["psi"] = "&#968;";
	(*em)["omega"] = "&#969;";
	(*em)["thetasym"] = "&#977;";
	(*em)["upsih"] = "&#978;";
	(*em)["piv"] = "&#982;";
	(*em)["bull"] = "&#8226;";
	(*em)["hellip"] = "&#8230;";
	(*em)["prime"] = "&#8242;";
	(*em)["Prime"] = "&#8243;";
	(*em)["oline"] = "&#8254;";
	(*em)["frasl"] = "&#8260;";
	(*em)["weierp"] = "&#8472;";
	(*em)["image"] = "&#8465;";
	(*em)["real"] = "&#8476;";
	(*em)["trade"] = "&#8482;";
	(*em)["alefsym"] = "&#8501;";
	(*em)["larr"] = "&#8592;";
	(*em)["uarr"] = "&#8593;";
	(*em)["rarr"] = "&#8594;";
	(*em)["darr"] = "&#8595;";
	(*em)["harr"] = "&#8596;";
	(*em)["crarr"] = "&#8629;";
	(*em)["lArr"] = "&#8656;";
	(*em)["uArr"] = "&#8657;";
	(*em)["rArr"] = "&#8658;";
	(*em)["dArr"] = "&#8659;";
	(*em)["hArr"] = "&#8660;";
	(*em)["forall"] = "&#8704;";
	(*em)["part"] = "&#8706;";
	(*em)["exist"] = "&#8707;";
	(*em)["empty"] = "&#8709;";
	(*em)["nabla"] = "&#8711;";
	(*em)["isin"] = "&#8712;";
	(*em)["notin"] = "&#8713;";
	(*em)["ni"] = "&#8715;";
	(*em)["prod"] = "&#8719;";
	(*em)["sum"] = "&#8721;";
	(*em)["minus"] = "&#8722;";
	(*em)["lowast"] = "&#8727;";
	(*em)["radic"] = "&#8730;";
	(*em)["prop"] = "&#8733;";
	(*em)["infin"] = "&#8734;";
	(*em)["ang"] = "&#8736;";
	(*em)["and"] = "&#8743;";
	(*em)["or"] = "&#8744;";
	(*em)["cap"] = "&#8745;";
	(*em)["cup"] = "&#8746;";
	(*em)["int"] = "&#8747;";
	(*em)["there4"] = "&#8756;";
	(*em)["sim"] = "&#8764;";
	(*em)["cong"] = "&#8773;";
	(*em)["asymp"] = "&#8776;";
	(*em)["ne"] = "&#8800;";
	(*em)["equiv"] = "&#8801;";
	(*em)["le"] = "&#8804;";
	(*em)["ge"] = "&#8805;";
	(*em)["sub"] = "&#8834;";
	(*em)["sup"] = "&#8835;";
	(*em)["nsub"] = "&#8836;";
	(*em)["sube"] = "&#8838;";
	(*em)["supe"] = "&#8839;";
	(*em)["oplus"] = "&#8853;";
	(*em)["otimes"] = "&#8855;";
	(*em)["perp"] = "&#8869;";
	(*em)["sdot"] = "&#8901;";
	(*em)["lceil"] = "&#8968;";
	(*em)["rceil"] = "&#8969;";
	(*em)["lfloor"] = "&#8970;";
	(*em)["rfloor"] = "&#8971;";
	(*em)["lang"] = "&#9001;";
	(*em)["rang"] = "&#9002;";
	(*em)["loz"] = "&#9674;";
	(*em)["spades"] = "&#9824;";
	(*em)["clubs"] = "&#9827;";
	(*em)["hearts"] = "&#9829;";
	(*em)["diams"] = "&#9830;";

	// Special characters for HTML
	(*em)["quot"] = "&#34;";
	(*em)["amp"] = "&#38;";
	(*em)["lt"] = "&#60;";
	(*em)["gt"] = "&#62;";
	(*em)["OElig"] = "&#338;";
	(*em)["oelig"] = "&#339;";
	(*em)["Scaron"] = "&#352;";
	(*em)["scaron"] = "&#353;";
	(*em)["Yuml"] = "&#376;";
	(*em)["circ"] = "&#710;";
	(*em)["tilde"] = "&#732;";
	(*em)["ensp"] = "&#8194;";
	(*em)["emsp"] = "&#8195;";
	(*em)["thinsp"] = "&#8201;";
	(*em)["zwnj"] = "&#8204;";
	(*em)["zwj"] = "&#8205;";
	(*em)["lrm"] = "&#8206;";
	(*em)["rlm"] = "&#8207;";
	(*em)["ndash"] = "&#8211;";
	(*em)["mdash"] = "&#8212;";
	(*em)["lsquo"] = "&#8216;";
	(*em)["rsquo"] = "&#8217;";
	(*em)["sbquo"] = "&#8218;";
	(*em)["ldquo"] = "&#8220;";
	(*em)["rdquo"] = "&#8221;";
	(*em)["bdquo"] = "&#8222;";
	(*em)["dagger"] = "&#8224;";
	(*em)["Dagger"] = "&#8225;";
	(*em)["permil"] = "&#8240;";
	(*em)["lsaquo"] = "&#8249;";
	(*em)["rsaquo"] = "&#8250;";
	(*em)["euro"] = "&#8364;";
}



